Index: src/lq_route.c
===================================================================
RCS file: /cvsroot/olsrd/olsrd-current/src/lq_route.c,v
retrieving revision 1.34
diff -C5 -r1.34 lq_route.c
*** src/lq_route.c	20 Apr 2005 17:52:11 -0000	1.34
--- src/lq_route.c	19 May 2005 20:36:30 -0000
***************
*** 641,653 ****
--- 641,661 ----
  
    // free the graph
  
    free_everything(&vertex_list);
  
+   printf("************** TABLES ****************\n");
+   printf("Routing table:\n");
+   olsr_print_routing_table(routingtable);
+   printf("Old table:\n");
+   olsr_print_routing_table(old_routes);
+   printf("**************************************\n");
+ 
    // move the route changes into the kernel
  
    olsr_update_kernel_routes();
  
    // free the saved routing table
  
    olsr_free_routing_table(old_routes);
+ 
  }
Index: src/routing_table.c
===================================================================
RCS file: /cvsroot/olsrd/olsrd-current/src/routing_table.c,v
retrieving revision 1.20
retrieving revision 1.21
diff -C5 -r1.20 -r1.21
*** src/routing_table.c	20 Apr 2005 17:52:12 -0000	1.20
--- src/routing_table.c	19 May 2005 20:26:22 -0000	1.21
***************
*** 34,44 ****
   *
   * If you find this software useful feel free to make a donation
   * to the project. For more information see the website or contact
   * the copyright holders.
   *
!  * $Id: routing_table.c,v 1.20 2005/04/20 17:52:12 br1 Exp $
   */
  
  
  
  #include "defs.h"
--- 34,44 ----
   *
   * If you find this software useful feel free to make a donation
   * to the project. For more information see the website or contact
   * the copyright holders.
   *
!  * $Id: routing_table.c,v 1.21 2005/05/19 20:26:22 kattemat Exp $
   */
  
  
  
  #include "defs.h"
***************
*** 728,747 ****
  {
  
    olsr_u8_t index;
  
    printf("ROUTING TABLE\n");
!   printf("DESTINATION\tNEXT HOP\n");
    for(index=0;index<HASHSIZE;index++)
      {
        struct rt_entry *destination;
        for(destination = table[index].next;
  	  destination != &table[index];
  	  destination = destination->next)
  	{
  	  printf("%s\t", olsr_ip_to_string(&destination->rt_dst));
! 	  printf("%s\n", olsr_ip_to_string(&destination->rt_router));
  	}
      }
  }
  
  
--- 728,750 ----
  {
  
    olsr_u8_t index;
  
    printf("ROUTING TABLE\n");
!   printf("DESTINATION\tNEXT HOP\tHOPCNT\tINTERFACE\n");
    for(index=0;index<HASHSIZE;index++)
      {
        struct rt_entry *destination;
        for(destination = table[index].next;
  	  destination != &table[index];
  	  destination = destination->next)
  	{
  	  printf("%s\t", olsr_ip_to_string(&destination->rt_dst));
! 	  printf("%s\t%d\t%s\n", 
! 		 olsr_ip_to_string(&destination->rt_router),
! 		 destination->rt_metric,
! 		 destination->rt_if->int_name);
  	}
      }
  }
  
  
